> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific site by id

> Retrieve a specific site by its ID, scoped to the selected org.



## OpenAPI

````yaml https://api.ionworks.com/openapi.json get /sites/{site_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.ionworks.com
    description: Production
security: []
paths:
  /sites/{site_id}:
    get:
      tags:
        - Sites
      summary: Get a specific site by id
      description: Retrieve a specific site by its ID, scoped to the selected org.
      operationId: get_site_sites__site_id__get
      parameters:
        - name: site_id
          in: path
          required: true
          schema:
            type: string
            title: Site Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Site'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Site:
      properties:
        name:
          type: string
          title: Name
          description: Name of the site
        location:
          anyOf:
            - type: string
            - type: 'null'
          title: Location
          description: Physical location of the site (e.g. address or lab name)
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
          description: Free-text notes about the site
        id:
          type: string
          title: Id
          description: Unique identifier for the site
        organization_id:
          type: string
          title: Organization Id
          description: Organization this site belongs to.
        created_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By
          description: User ID of the user who created this site
        created_by_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By Email
          description: Email of the user who created this site
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when the site was created
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when the site was last updated
        cycler_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Cycler Ids
          description: List of cycler IDs belonging to this site
      type: object
      required:
        - name
        - id
        - organization_id
        - created_at
        - updated_at
      title: Site
      description: Model representing a site as returned by the API.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````